import { Directions } from '@warp-ds/core/attention';
import { LitElement } from 'lit';
import '@warp-ds/icons/elements/close-16';
import '../button/index';
declare class WarpAttention extends LitElement {
    show: boolean;
    placement: Directions;
    tooltip: boolean;
    callout: boolean;
    popover: boolean;
    highlight: boolean;
    canClose: boolean;
    noArrow: boolean;
    distance: number;
    skidding: number;
    flip: boolean;
    crossAxis: boolean;
    fallbackPlacements: Directions[];
    /** @internal */
    attentionState: any;
    /** @internal */
    _initialPlacement: Directions;
    static styles: import("lit").CSSResult[];
    constructor();
    connectedCallback(): void;
    disconnectedCallback(): void;
    handleDone(): void;
    /** @internal */
    get _actualDirection(): Directions;
    /** @internal */
    set _actualDirection(v: Directions);
    /** @internal */
    get _arrowEl(): Element;
    /** @internal */
    get _arrowDirection(): Directions;
    /** @internal */
    get _arrowClasses(): string;
    /** @internal */
    get _arrowHtml(): import("lit").TemplateResult<1> | "";
    /** @internal */
    get _activeVariantClasses(): {
        wrapper: any;
        arrow: any;
    };
    /** @internal */
    get _attentionEl(): HTMLDivElement;
    /** @internal */
    get _targetEl(): Element | null;
    /** @internal */
    get _messageEl(): Element | null;
    /** @internal */
    get _wrapperClasses(): string;
    /** @internal */
    get _ariaClose(): string;
    /** @internal */
    get _closeBtnHtml(): import("lit").TemplateResult<1>;
    updated(): void;
    pointingAtDirection(): string;
    activeAttentionType(): string;
    defaultAriaLabel(): string;
    setAriaLabels(): void;
    firstUpdated(): void;
    close(): void;
    keypressed(e: KeyboardEvent): void;
    render(): import("lit").TemplateResult<1>;
}
export { WarpAttention };
